<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.5.0_13) on Fri Feb 08 19:40:58 CET 2008 -->
<META http-equiv="Content-Type" content="text/html; charset=ISO-8859-1">
<TITLE>
PostMethod (HttpClient 3.1 API)
</TITLE>

<META NAME="keywords" CONTENT="org.apache.commons.httpclient.methods.PostMethod class">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    parent.document.title="PostMethod (HttpClient 3.1 API)";
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/PostMethod.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../org/apache/commons/httpclient/methods/OptionsMethod.html" title="class in org.apache.commons.httpclient.methods"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../../org/apache/commons/httpclient/methods/PutMethod.html" title="class in org.apache.commons.httpclient.methods"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../index.html?org/apache/commons/httpclient/methods/PostMethod.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="PostMethod.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;<A HREF="#field_summary">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;<A HREF="#field_detail">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
org.apache.commons.httpclient.methods</FONT>
<BR>
Class PostMethod</H2>
<PRE>
<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">java.lang.Object</A>
  <IMG SRC="../../../../../resources/inherit.gif" ALT="extended by "><A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html" title="class in org.apache.commons.httpclient">org.apache.commons.httpclient.HttpMethodBase</A>
      <IMG SRC="../../../../../resources/inherit.gif" ALT="extended by "><A HREF="../../../../../org/apache/commons/httpclient/methods/ExpectContinueMethod.html" title="class in org.apache.commons.httpclient.methods">org.apache.commons.httpclient.methods.ExpectContinueMethod</A>
          <IMG SRC="../../../../../resources/inherit.gif" ALT="extended by "><A HREF="../../../../../org/apache/commons/httpclient/methods/EntityEnclosingMethod.html" title="class in org.apache.commons.httpclient.methods">org.apache.commons.httpclient.methods.EntityEnclosingMethod</A>
              <IMG SRC="../../../../../resources/inherit.gif" ALT="extended by "><B>org.apache.commons.httpclient.methods.PostMethod</B>
</PRE>
<DL>
<DT><B>All Implemented Interfaces:</B> <DD><A HREF="../../../../../org/apache/commons/httpclient/HttpMethod.html" title="interface in org.apache.commons.httpclient">HttpMethod</A></DD>
</DL>
<HR>
<DL>
<DT><PRE>public class <B>PostMethod</B><DT>extends <A HREF="../../../../../org/apache/commons/httpclient/methods/EntityEnclosingMethod.html" title="class in org.apache.commons.httpclient.methods">EntityEnclosingMethod</A></DL>
</PRE>

<P>
Implements the HTTP POST method.
 <p>
 The HTTP POST method is defined in section 9.5 of 
 <a href="http://www.ietf.org/rfc/rfc2616.txt">RFC2616</a>:
 <blockquote>
 The POST method is used to request that the origin server accept the entity
 enclosed in the request as a new subordinate of the resource identified by
 the Request-URI in the Request-Line. POST is designed to allow a uniform
 method to cover the following functions:
 <ul>
   <li>Annotation of existing resources</li>
   <li>Posting a message to a bulletin board, newsgroup, mailing list, or 
     similar group of articles</li>
   <li>Providing a block of data, such as the result of submitting a form,
     to a data-handling process</li>
   <li>Extending a database through an append operation</li>
 </ul>
 </blockquote>
 </p>
<P>

<P>
<DL>
<DT><B>Since:</B></DT>
  <DD>1.0</DD>
<DT><B>Version:</B></DT>
  <DD>$Revision$</DD>
<DT><B>Author:</B></DT>
  <DD><a href="mailto:remm@apache.org">Remy Maucherat</a>, <a href="mailto:dsale@us.britannica.com">Doug Sale</a>, <a href="mailto:jsdever@apache.org">Jeff Dever</a>, Ortwin Gl???ck, <a href="mailto:mbowler@GargoyleSoftware.com">Mike Bowler</a>, <a href="mailto:oleg@ural.ru">Oleg Kalnichevski</a></DD>
</DL>
<HR>

<P>
<!-- =========== FIELD SUMMARY =========== -->

<A NAME="field_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Field Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/commons/httpclient/methods/PostMethod.html#FORM_URL_ENCODED_CONTENT_TYPE">FORM_URL_ENCODED_CONTENT_TYPE</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The Content-Type for www-form-urlencoded.</TD>
</TR>
</TABLE>
&nbsp;<A NAME="fields_inherited_from_class_org.apache.commons.httpclient.methods.EntityEnclosingMethod"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Fields inherited from class org.apache.commons.httpclient.methods.<A HREF="../../../../../org/apache/commons/httpclient/methods/EntityEnclosingMethod.html" title="class in org.apache.commons.httpclient.methods">EntityEnclosingMethod</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../../org/apache/commons/httpclient/methods/EntityEnclosingMethod.html#CONTENT_LENGTH_AUTO">CONTENT_LENGTH_AUTO</A>, <A HREF="../../../../../org/apache/commons/httpclient/methods/EntityEnclosingMethod.html#CONTENT_LENGTH_CHUNKED">CONTENT_LENGTH_CHUNKED</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="fields_inherited_from_class_org.apache.commons.httpclient.HttpMethodBase"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Fields inherited from class org.apache.commons.httpclient.<A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html" title="class in org.apache.commons.httpclient">HttpMethodBase</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#effectiveVersion">effectiveVersion</A>, <A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#statusLine">statusLine</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<!-- ======== CONSTRUCTOR SUMMARY ======== -->

<A NAME="constructor_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Constructor Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../org/apache/commons/httpclient/methods/PostMethod.html#PostMethod()">PostMethod</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;No-arg constructor.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../org/apache/commons/httpclient/methods/PostMethod.html#PostMethod(java.lang.String)">PostMethod</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;uri)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Constructor specifying a URI.</TD>
</TR>
</TABLE>
&nbsp;
<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Method Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/commons/httpclient/methods/PostMethod.html#addParameter(org.apache.commons.httpclient.NameValuePair)">addParameter</A></B>(<A HREF="../../../../../org/apache/commons/httpclient/NameValuePair.html" title="class in org.apache.commons.httpclient">NameValuePair</A>&nbsp;param)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Adds a new parameter to be used in the POST request body.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/commons/httpclient/methods/PostMethod.html#addParameter(java.lang.String, java.lang.String)">addParameter</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;paramName,
             <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;paramValue)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Adds a new parameter to be used in the POST request body.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/commons/httpclient/methods/PostMethod.html#addParameters(org.apache.commons.httpclient.NameValuePair[])">addParameters</A></B>(<A HREF="../../../../../org/apache/commons/httpclient/NameValuePair.html" title="class in org.apache.commons.httpclient">NameValuePair</A>[]&nbsp;parameters)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Adds an array of parameters to be used in the POST request body.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/commons/httpclient/methods/PostMethod.html#clearRequestBody()">clearRequestBody</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Clears request body.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="../../../../../org/apache/commons/httpclient/methods/RequestEntity.html" title="interface in org.apache.commons.httpclient.methods">RequestEntity</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/commons/httpclient/methods/PostMethod.html#generateRequestEntity()">generateRequestEntity</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Generates a request entity from the post parameters, if present.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/commons/httpclient/methods/PostMethod.html#getName()">getName</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns <tt>"POST"</tt>.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../org/apache/commons/httpclient/NameValuePair.html" title="class in org.apache.commons.httpclient">NameValuePair</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/commons/httpclient/methods/PostMethod.html#getParameter(java.lang.String)">getParameter</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;paramName)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Gets the parameter of the specified name.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../org/apache/commons/httpclient/NameValuePair.html" title="class in org.apache.commons.httpclient">NameValuePair</A>[]</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/commons/httpclient/methods/PostMethod.html#getParameters()">getParameters</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Gets the parameters currently added to the PostMethod.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/commons/httpclient/methods/PostMethod.html#hasRequestContent()">hasRequestContent</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns <tt>true</tt> if there is a request body to be sent.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/commons/httpclient/methods/PostMethod.html#removeParameter(java.lang.String)">removeParameter</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;paramName)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Removes all parameters with the given paramName.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/commons/httpclient/methods/PostMethod.html#removeParameter(java.lang.String, java.lang.String)">removeParameter</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;paramName,
                <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;paramValue)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Removes all parameter with the given paramName and paramValue.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/commons/httpclient/methods/PostMethod.html#setParameter(java.lang.String, java.lang.String)">setParameter</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;parameterName,
             <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;parameterValue)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Sets the value of parameter with parameterName to parameterValue.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/commons/httpclient/methods/PostMethod.html#setRequestBody(org.apache.commons.httpclient.NameValuePair[])">setRequestBody</A></B>(<A HREF="../../../../../org/apache/commons/httpclient/NameValuePair.html" title="class in org.apache.commons.httpclient">NameValuePair</A>[]&nbsp;parametersBody)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Sets an array of parameters to be used in the POST request body</TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_org.apache.commons.httpclient.methods.EntityEnclosingMethod"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class org.apache.commons.httpclient.methods.<A HREF="../../../../../org/apache/commons/httpclient/methods/EntityEnclosingMethod.html" title="class in org.apache.commons.httpclient.methods">EntityEnclosingMethod</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../../org/apache/commons/httpclient/methods/EntityEnclosingMethod.html#addContentLengthRequestHeader(org.apache.commons.httpclient.HttpState, org.apache.commons.httpclient.HttpConnection)">addContentLengthRequestHeader</A>, <A HREF="../../../../../org/apache/commons/httpclient/methods/EntityEnclosingMethod.html#addRequestHeaders(org.apache.commons.httpclient.HttpState, org.apache.commons.httpclient.HttpConnection)">addRequestHeaders</A>, <A HREF="../../../../../org/apache/commons/httpclient/methods/EntityEnclosingMethod.html#generateRequestBody()">generateRequestBody</A>, <A HREF="../../../../../org/apache/commons/httpclient/methods/EntityEnclosingMethod.html#getFollowRedirects()">getFollowRedirects</A>, <A HREF="../../../../../org/apache/commons/httpclient/methods/EntityEnclosingMethod.html#getRequestCharSet()">getRequestCharSet</A>, <A HREF="../../../../../org/apache/commons/httpclient/methods/EntityEnclosingMethod.html#getRequestContentLength()">getRequestContentLength</A>, <A HREF="../../../../../org/apache/commons/httpclient/methods/EntityEnclosingMethod.html#getRequestEntity()">getRequestEntity</A>, <A HREF="../../../../../org/apache/commons/httpclient/methods/EntityEnclosingMethod.html#recycle()">recycle</A>, <A HREF="../../../../../org/apache/commons/httpclient/methods/EntityEnclosingMethod.html#setContentChunked(boolean)">setContentChunked</A>, <A HREF="../../../../../org/apache/commons/httpclient/methods/EntityEnclosingMethod.html#setFollowRedirects(boolean)">setFollowRedirects</A>, <A HREF="../../../../../org/apache/commons/httpclient/methods/EntityEnclosingMethod.html#setRequestBody(java.io.InputStream)">setRequestBody</A>, <A HREF="../../../../../org/apache/commons/httpclient/methods/EntityEnclosingMethod.html#setRequestBody(java.lang.String)">setRequestBody</A>, <A HREF="../../../../../org/apache/commons/httpclient/methods/EntityEnclosingMethod.html#setRequestContentLength(int)">setRequestContentLength</A>, <A HREF="../../../../../org/apache/commons/httpclient/methods/EntityEnclosingMethod.html#setRequestContentLength(long)">setRequestContentLength</A>, <A HREF="../../../../../org/apache/commons/httpclient/methods/EntityEnclosingMethod.html#setRequestEntity(org.apache.commons.httpclient.methods.RequestEntity)">setRequestEntity</A>, <A HREF="../../../../../org/apache/commons/httpclient/methods/EntityEnclosingMethod.html#writeRequestBody(org.apache.commons.httpclient.HttpState, org.apache.commons.httpclient.HttpConnection)">writeRequestBody</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_org.apache.commons.httpclient.methods.ExpectContinueMethod"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class org.apache.commons.httpclient.methods.<A HREF="../../../../../org/apache/commons/httpclient/methods/ExpectContinueMethod.html" title="class in org.apache.commons.httpclient.methods">ExpectContinueMethod</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../../org/apache/commons/httpclient/methods/ExpectContinueMethod.html#getUseExpectHeader()">getUseExpectHeader</A>, <A HREF="../../../../../org/apache/commons/httpclient/methods/ExpectContinueMethod.html#setUseExpectHeader(boolean)">setUseExpectHeader</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_org.apache.commons.httpclient.HttpMethodBase"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class org.apache.commons.httpclient.<A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html" title="class in org.apache.commons.httpclient">HttpMethodBase</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#abort()">abort</A>, <A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#addCookieRequestHeader(org.apache.commons.httpclient.HttpState, org.apache.commons.httpclient.HttpConnection)">addCookieRequestHeader</A>, <A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#addHostRequestHeader(org.apache.commons.httpclient.HttpState, org.apache.commons.httpclient.HttpConnection)">addHostRequestHeader</A>, <A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#addProxyConnectionHeader(org.apache.commons.httpclient.HttpState, org.apache.commons.httpclient.HttpConnection)">addProxyConnectionHeader</A>, <A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#addRequestHeader(org.apache.commons.httpclient.Header)">addRequestHeader</A>, <A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#addRequestHeader(java.lang.String, java.lang.String)">addRequestHeader</A>, <A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#addResponseFooter(org.apache.commons.httpclient.Header)">addResponseFooter</A>, <A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#addUserAgentRequestHeader(org.apache.commons.httpclient.HttpState, org.apache.commons.httpclient.HttpConnection)">addUserAgentRequestHeader</A>, <A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#checkNotUsed()">checkNotUsed</A>, <A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#checkUsed()">checkUsed</A>, <A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#execute(org.apache.commons.httpclient.HttpState, org.apache.commons.httpclient.HttpConnection)">execute</A>, <A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#generateRequestLine(org.apache.commons.httpclient.HttpConnection, java.lang.String, java.lang.String, java.lang.String, java.lang.String)">generateRequestLine</A>, <A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#getAuthenticationRealm()">getAuthenticationRealm</A>, <A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#getContentCharSet(org.apache.commons.httpclient.Header)">getContentCharSet</A>, <A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#getDoAuthentication()">getDoAuthentication</A>, <A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#getEffectiveVersion()">getEffectiveVersion</A>, <A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#getHostAuthState()">getHostAuthState</A>, <A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#getHostConfiguration()">getHostConfiguration</A>, <A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#getMethodRetryHandler()">getMethodRetryHandler</A>, <A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#getParams()">getParams</A>, <A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#getPath()">getPath</A>, <A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#getProxyAuthenticationRealm()">getProxyAuthenticationRealm</A>, <A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#getProxyAuthState()">getProxyAuthState</A>, <A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#getQueryString()">getQueryString</A>, <A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#getRecoverableExceptionCount()">getRecoverableExceptionCount</A>, <A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#getRequestHeader(java.lang.String)">getRequestHeader</A>, <A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#getRequestHeaderGroup()">getRequestHeaderGroup</A>, <A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#getRequestHeaders()">getRequestHeaders</A>, <A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#getRequestHeaders(java.lang.String)">getRequestHeaders</A>, <A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#getResponseBody()">getResponseBody</A>, <A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#getResponseBody(int)">getResponseBody</A>, <A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#getResponseBodyAsStream()">getResponseBodyAsStream</A>, <A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#getResponseBodyAsString()">getResponseBodyAsString</A>, <A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#getResponseBodyAsString(int)">getResponseBodyAsString</A>, <A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#getResponseCharSet()">getResponseCharSet</A>, <A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#getResponseContentLength()">getResponseContentLength</A>, <A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#getResponseFooter(java.lang.String)">getResponseFooter</A>, <A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#getResponseFooters()">getResponseFooters</A>, <A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#getResponseHeader(java.lang.String)">getResponseHeader</A>, <A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#getResponseHeaderGroup()">getResponseHeaderGroup</A>, <A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#getResponseHeaders()">getResponseHeaders</A>, <A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#getResponseHeaders(java.lang.String)">getResponseHeaders</A>, <A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#getResponseStream()">getResponseStream</A>, <A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#getResponseTrailerHeaderGroup()">getResponseTrailerHeaderGroup</A>, <A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#getStatusCode()">getStatusCode</A>, <A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#getStatusLine()">getStatusLine</A>, <A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#getStatusText()">getStatusText</A>, <A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#getURI()">getURI</A>, <A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#hasBeenUsed()">hasBeenUsed</A>, <A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#isAborted()">isAborted</A>, <A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#isConnectionCloseForced()">isConnectionCloseForced</A>, <A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#isHttp11()">isHttp11</A>, <A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#isRequestSent()">isRequestSent</A>, <A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#isStrictMode()">isStrictMode</A>, <A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#processCookieHeaders(org.apache.commons.httpclient.cookie.CookieSpec, org.apache.commons.httpclient.Header[], org.apache.commons.httpclient.HttpState, org.apache.commons.httpclient.HttpConnection)">processCookieHeaders</A>, <A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#processResponseBody(org.apache.commons.httpclient.HttpState, org.apache.commons.httpclient.HttpConnection)">processResponseBody</A>, <A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#processResponseHeaders(org.apache.commons.httpclient.HttpState, org.apache.commons.httpclient.HttpConnection)">processResponseHeaders</A>, <A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#processStatusLine(org.apache.commons.httpclient.HttpState, org.apache.commons.httpclient.HttpConnection)">processStatusLine</A>, <A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#readResponse(org.apache.commons.httpclient.HttpState, org.apache.commons.httpclient.HttpConnection)">readResponse</A>, <A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#readResponseBody(org.apache.commons.httpclient.HttpState, org.apache.commons.httpclient.HttpConnection)">readResponseBody</A>, <A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#readResponseHeaders(org.apache.commons.httpclient.HttpState, org.apache.commons.httpclient.HttpConnection)">readResponseHeaders</A>, <A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#readStatusLine(org.apache.commons.httpclient.HttpState, org.apache.commons.httpclient.HttpConnection)">readStatusLine</A>, <A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#releaseConnection()">releaseConnection</A>, <A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#removeRequestHeader(org.apache.commons.httpclient.Header)">removeRequestHeader</A>, <A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#removeRequestHeader(java.lang.String)">removeRequestHeader</A>, <A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#responseBodyConsumed()">responseBodyConsumed</A>, <A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#setConnectionCloseForced(boolean)">setConnectionCloseForced</A>, <A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#setDoAuthentication(boolean)">setDoAuthentication</A>, <A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#setHostConfiguration(org.apache.commons.httpclient.HostConfiguration)">setHostConfiguration</A>, <A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#setHttp11(boolean)">setHttp11</A>, <A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#setMethodRetryHandler(org.apache.commons.httpclient.MethodRetryHandler)">setMethodRetryHandler</A>, <A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#setParams(org.apache.commons.httpclient.params.HttpMethodParams)">setParams</A>, <A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#setPath(java.lang.String)">setPath</A>, <A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#setQueryString(org.apache.commons.httpclient.NameValuePair[])">setQueryString</A>, <A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#setQueryString(java.lang.String)">setQueryString</A>, <A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#setRequestHeader(org.apache.commons.httpclient.Header)">setRequestHeader</A>, <A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#setRequestHeader(java.lang.String, java.lang.String)">setRequestHeader</A>, <A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#setResponseStream(java.io.InputStream)">setResponseStream</A>, <A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#setStrictMode(boolean)">setStrictMode</A>, <A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#setURI(org.apache.commons.httpclient.URI)">setURI</A>, <A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#shouldCloseConnection(org.apache.commons.httpclient.HttpConnection)">shouldCloseConnection</A>, <A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#validate()">validate</A>, <A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#writeRequest(org.apache.commons.httpclient.HttpState, org.apache.commons.httpclient.HttpConnection)">writeRequest</A>, <A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#writeRequestHeaders(org.apache.commons.httpclient.HttpState, org.apache.commons.httpclient.HttpConnection)">writeRequestHeaders</A>, <A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#writeRequestLine(org.apache.commons.httpclient.HttpState, org.apache.commons.httpclient.HttpConnection)">writeRequestLine</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.lang.Object"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class java.lang.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#clone()" title="class or interface in java.lang">clone</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#equals(java.lang.Object)" title="class or interface in java.lang">equals</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#finalize()" title="class or interface in java.lang">finalize</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#getClass()" title="class or interface in java.lang">getClass</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#hashCode()" title="class or interface in java.lang">hashCode</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#notify()" title="class or interface in java.lang">notify</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#notifyAll()" title="class or interface in java.lang">notifyAll</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#toString()" title="class or interface in java.lang">toString</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait()" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait(long)" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait(long, int)" title="class or interface in java.lang">wait</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ============ FIELD DETAIL =========== -->

<A NAME="field_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Field Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="FORM_URL_ENCODED_CONTENT_TYPE"><!-- --></A><H3>
FORM_URL_ENCODED_CONTENT_TYPE</H3>
<PRE>
public static final <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A> <B>FORM_URL_ENCODED_CONTENT_TYPE</B></PRE>
<DL>
<DD>The Content-Type for www-form-urlencoded.
<P>
<DL>
<DT><B>See Also:</B><DD><A HREF="../../../../../constant-values.html#org.apache.commons.httpclient.methods.PostMethod.FORM_URL_ENCODED_CONTENT_TYPE">Constant Field Values</A></DL>
</DL>

<!-- ========= CONSTRUCTOR DETAIL ======== -->

<A NAME="constructor_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Constructor Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="PostMethod()"><!-- --></A><H3>
PostMethod</H3>
<PRE>
public <B>PostMethod</B>()</PRE>
<DL>
<DD>No-arg constructor.
<P>
<DL>
<DT><B>Since:</B></DT>
  <DD>1.0</DD>
</DL>
</DL>
<HR>

<A NAME="PostMethod(java.lang.String)"><!-- --></A><H3>
PostMethod</H3>
<PRE>
public <B>PostMethod</B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;uri)</PRE>
<DL>
<DD>Constructor specifying a URI.
<P>
<DL>
<DT><B>Parameters:</B><DD><CODE>uri</CODE> - either an absolute or relative URI<DT><B>Since:</B></DT>
  <DD>1.0</DD>
</DL>
</DL>

<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Method Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="getName()"><!-- --></A><H3>
getName</H3>
<PRE>
public <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A> <B>getName</B>()</PRE>
<DL>
<DD>Returns <tt>"POST"</tt>.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../org/apache/commons/httpclient/HttpMethod.html#getName()">getName</A></CODE> in interface <CODE><A HREF="../../../../../org/apache/commons/httpclient/HttpMethod.html" title="interface in org.apache.commons.httpclient">HttpMethod</A></CODE><DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#getName()">getName</A></CODE> in class <CODE><A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html" title="class in org.apache.commons.httpclient">HttpMethodBase</A></CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD><tt>"POST"</tt><DT><B>Since:</B></DT>
  <DD>2.0</DD>
</DL>
</DD>
</DL>
<HR>

<A NAME="hasRequestContent()"><!-- --></A><H3>
hasRequestContent</H3>
<PRE>
protected boolean <B>hasRequestContent</B>()</PRE>
<DL>
<DD>Returns <tt>true</tt> if there is a request body to be sent.
 
 <P>This method must be overwritten by sub-classes that implement
 alternative request content input methods
 </p>
<P>
<DD><DL>
<DT><B>Overrides:</B><DD><CODE><A HREF="../../../../../org/apache/commons/httpclient/methods/EntityEnclosingMethod.html#hasRequestContent()">hasRequestContent</A></CODE> in class <CODE><A HREF="../../../../../org/apache/commons/httpclient/methods/EntityEnclosingMethod.html" title="class in org.apache.commons.httpclient.methods">EntityEnclosingMethod</A></CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>boolean<DT><B>Since:</B></DT>
  <DD>2.0beta1</DD>
</DL>
</DD>
</DL>
<HR>

<A NAME="clearRequestBody()"><!-- --></A><H3>
clearRequestBody</H3>
<PRE>
protected void <B>clearRequestBody</B>()</PRE>
<DL>
<DD>Clears request body.
 
 <p>This method must be overwritten by sub-classes that implement
 alternative request content input methods</p>
<P>
<DD><DL>
<DT><B>Overrides:</B><DD><CODE><A HREF="../../../../../org/apache/commons/httpclient/methods/EntityEnclosingMethod.html#clearRequestBody()">clearRequestBody</A></CODE> in class <CODE><A HREF="../../../../../org/apache/commons/httpclient/methods/EntityEnclosingMethod.html" title="class in org.apache.commons.httpclient.methods">EntityEnclosingMethod</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>Since:</B></DT>
  <DD>2.0beta1</DD>
</DL>
</DD>
</DL>
<HR>

<A NAME="generateRequestEntity()"><!-- --></A><H3>
generateRequestEntity</H3>
<PRE>
protected <A HREF="../../../../../org/apache/commons/httpclient/methods/RequestEntity.html" title="interface in org.apache.commons.httpclient.methods">RequestEntity</A> <B>generateRequestEntity</B>()</PRE>
<DL>
<DD>Generates a request entity from the post parameters, if present.  Calls
 <A HREF="../../../../../org/apache/commons/httpclient/methods/EntityEnclosingMethod.html#generateRequestBody()"><CODE>EntityEnclosingMethod.generateRequestBody()</CODE></A> if parameters have not been set.
<P>
<DD><DL>
<DT><B>Overrides:</B><DD><CODE><A HREF="../../../../../org/apache/commons/httpclient/methods/EntityEnclosingMethod.html#generateRequestEntity()">generateRequestEntity</A></CODE> in class <CODE><A HREF="../../../../../org/apache/commons/httpclient/methods/EntityEnclosingMethod.html" title="class in org.apache.commons.httpclient.methods">EntityEnclosingMethod</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>Since:</B></DT>
  <DD>3.0</DD>
</DL>
</DD>
</DL>
<HR>

<A NAME="setParameter(java.lang.String, java.lang.String)"><!-- --></A><H3>
setParameter</H3>
<PRE>
public void <B>setParameter</B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;parameterName,
                         <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;parameterValue)</PRE>
<DL>
<DD>Sets the value of parameter with parameterName to parameterValue. This method
 does not preserve the initial insertion order.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>parameterName</CODE> - name of the parameter<DD><CODE>parameterValue</CODE> - value of the parameter<DT><B>Since:</B></DT>
  <DD>2.0</DD>
</DL>
</DD>
</DL>
<HR>

<A NAME="getParameter(java.lang.String)"><!-- --></A><H3>
getParameter</H3>
<PRE>
public <A HREF="../../../../../org/apache/commons/httpclient/NameValuePair.html" title="class in org.apache.commons.httpclient">NameValuePair</A> <B>getParameter</B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;paramName)</PRE>
<DL>
<DD>Gets the parameter of the specified name. If there exists more than one
 parameter with the name paramName, then only the first one is returned.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>paramName</CODE> - name of the parameter
<DT><B>Returns:</B><DD>If a parameter exists with the name argument, the coresponding
         NameValuePair is returned.  Otherwise null.<DT><B>Since:</B></DT>
  <DD>2.0</DD>
</DL>
</DD>
</DL>
<HR>

<A NAME="getParameters()"><!-- --></A><H3>
getParameters</H3>
<PRE>
public <A HREF="../../../../../org/apache/commons/httpclient/NameValuePair.html" title="class in org.apache.commons.httpclient">NameValuePair</A>[] <B>getParameters</B>()</PRE>
<DL>
<DD>Gets the parameters currently added to the PostMethod. If there are no
 parameters, a valid array is returned with zero elements. The returned
 array object contains an array of pointers to  the internal data
 members.
<P>
<DD><DL>

<DT><B>Returns:</B><DD>An array of the current parameters<DT><B>Since:</B></DT>
  <DD>2.0</DD>
</DL>
</DD>
</DL>
<HR>

<A NAME="addParameter(java.lang.String, java.lang.String)"><!-- --></A><H3>
addParameter</H3>
<PRE>
public void <B>addParameter</B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;paramName,
                         <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;paramValue)
                  throws <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/IllegalArgumentException.html" title="class or interface in java.lang">IllegalArgumentException</A></PRE>
<DL>
<DD>Adds a new parameter to be used in the POST request body.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>paramName</CODE> - The parameter name to add.<DD><CODE>paramValue</CODE> - The parameter value to add.
<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/IllegalArgumentException.html" title="class or interface in java.lang">IllegalArgumentException</A></CODE> - if either argument is null<DT><B>Since:</B></DT>
  <DD>1.0</DD>
</DL>
</DD>
</DL>
<HR>

<A NAME="addParameter(org.apache.commons.httpclient.NameValuePair)"><!-- --></A><H3>
addParameter</H3>
<PRE>
public void <B>addParameter</B>(<A HREF="../../../../../org/apache/commons/httpclient/NameValuePair.html" title="class in org.apache.commons.httpclient">NameValuePair</A>&nbsp;param)
                  throws <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/IllegalArgumentException.html" title="class or interface in java.lang">IllegalArgumentException</A></PRE>
<DL>
<DD>Adds a new parameter to be used in the POST request body.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>param</CODE> - The parameter to add.
<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/IllegalArgumentException.html" title="class or interface in java.lang">IllegalArgumentException</A></CODE> - if the argument is null or contains
         null values<DT><B>Since:</B></DT>
  <DD>2.0</DD>
</DL>
</DD>
</DL>
<HR>

<A NAME="addParameters(org.apache.commons.httpclient.NameValuePair[])"><!-- --></A><H3>
addParameters</H3>
<PRE>
public void <B>addParameters</B>(<A HREF="../../../../../org/apache/commons/httpclient/NameValuePair.html" title="class in org.apache.commons.httpclient">NameValuePair</A>[]&nbsp;parameters)</PRE>
<DL>
<DD>Adds an array of parameters to be used in the POST request body. Logs a
 warning if the parameters argument is null.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>parameters</CODE> - The array of parameters to add.<DT><B>Since:</B></DT>
  <DD>2.0</DD>
</DL>
</DD>
</DL>
<HR>

<A NAME="removeParameter(java.lang.String)"><!-- --></A><H3>
removeParameter</H3>
<PRE>
public boolean <B>removeParameter</B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;paramName)
                        throws <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/IllegalArgumentException.html" title="class or interface in java.lang">IllegalArgumentException</A></PRE>
<DL>
<DD>Removes all parameters with the given paramName. If there is more than
 one parameter with the given paramName, all of them are removed.  If
 there is just one, it is removed.  If there are none, then the request
 is ignored.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>paramName</CODE> - The parameter name to remove.
<DT><B>Returns:</B><DD>true if at least one parameter was removed
<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/IllegalArgumentException.html" title="class or interface in java.lang">IllegalArgumentException</A></CODE> - When the parameter name passed is null<DT><B>Since:</B></DT>
  <DD>2.0</DD>
</DL>
</DD>
</DL>
<HR>

<A NAME="removeParameter(java.lang.String, java.lang.String)"><!-- --></A><H3>
removeParameter</H3>
<PRE>
public boolean <B>removeParameter</B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;paramName,
                               <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;paramValue)
                        throws <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/IllegalArgumentException.html" title="class or interface in java.lang">IllegalArgumentException</A></PRE>
<DL>
<DD>Removes all parameter with the given paramName and paramValue. If there
 is more than one parameter with the given paramName, only one is
 removed.  If there are none, then the request is ignored.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>paramName</CODE> - The parameter name to remove.<DD><CODE>paramValue</CODE> - The parameter value to remove.
<DT><B>Returns:</B><DD>true if a parameter was removed.
<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/IllegalArgumentException.html" title="class or interface in java.lang">IllegalArgumentException</A></CODE> - when param name or value are null<DT><B>Since:</B></DT>
  <DD>2.0</DD>
</DL>
</DD>
</DL>
<HR>

<A NAME="setRequestBody(org.apache.commons.httpclient.NameValuePair[])"><!-- --></A><H3>
setRequestBody</H3>
<PRE>
public void <B>setRequestBody</B>(<A HREF="../../../../../org/apache/commons/httpclient/NameValuePair.html" title="class in org.apache.commons.httpclient">NameValuePair</A>[]&nbsp;parametersBody)
                    throws <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/IllegalArgumentException.html" title="class or interface in java.lang">IllegalArgumentException</A></PRE>
<DL>
<DD>Sets an array of parameters to be used in the POST request body
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>parametersBody</CODE> - The array of parameters to add.
<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/IllegalArgumentException.html" title="class or interface in java.lang">IllegalArgumentException</A></CODE> - when param parameters are null<DT><B>Since:</B></DT>
  <DD>2.0beta1</DD>
</DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/PostMethod.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../org/apache/commons/httpclient/methods/OptionsMethod.html" title="class in org.apache.commons.httpclient.methods"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../../org/apache/commons/httpclient/methods/PutMethod.html" title="class in org.apache.commons.httpclient.methods"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../index.html?org/apache/commons/httpclient/methods/PostMethod.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="PostMethod.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;<A HREF="#field_summary">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;<A HREF="#field_detail">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>
Copyright &copy; 2001-2008 Apache Software Foundation. All Rights Reserved.
</BODY>
</HTML>
